# SXP Reference

SXP_addNamespaceDeclaration | Functions

#### Syntax

         SXP_addNamespaceDeclaration(Q, prefix, uri)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The current query context.
`prefix` | `const SXP_char*` | The namespace prefix.
`uri` | `const SXP_char*` | The namespace URI.
`(RET)` | `int` | The error code.

#### Description

Declares a new namespace with the given prefix and URI. The declaration will only be in effect for the next `SXP_query`.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_addVariableBinding | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC